player_laser_data Struct Reference

Data: scan (PLAYER_LASER_DATA_SCAN) More...

`#include <player_interfaces.h>`

## Public Attributes

float | min_angle
| Start and end angles for the laser scan [rad]. More...
float | max_angle
| Start and end angles for the laser scan [rad]. More...
float | resolution
| Angular resolution [rad]. More...
float | max_range
| Maximum range [m]. More...
uint32_t | ranges_count
| Number of range readings. More...
float * | ranges
| Range readings [m]. More...
uint32_t | intensity_count
| Number of intensity readings.
uint8_t * | intensity
| Intensity readings. More...
uint32_t | id
| A unique, increasing, ID for the scan.

## Detailed Description

Data: scan (PLAYER_LASER_DATA_SCAN)

The basic laser data packet.

## Member Data Documentation

uint8_t* player_laser_data::intensity

Intensity readings.

float player_laser_data::max_angle

Start and end angles for the laser scan [rad].

float player_laser_data::max_range

Maximum range [m].

float player_laser_data::min_angle

Start and end angles for the laser scan [rad].

float* player_laser_data::ranges

Range readings [m].

uint32_t player_laser_data::ranges_count

Number of range readings.

float player_laser_data::resolution

Angular resolution [rad].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45